Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.amp.amf.abase.aBase
Enum BOOLEAN

    java.lang.Object
      java.lang.Enum<BOOLEAN>
          org.eclipse.amp.amf.abase.aBase.BOOLEAN

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BOOLEAN>, org.eclipse.emf.common.util.Enumerator

    public enum BOOLEAN

extends java.lang.Enum<BOOLEAN>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'BOOLEAN', and utility methods for working with them.

See Also:
  `ABasePackage.getBOOLEAN()`

Enum Constant Summary
`FALSE` The 'FALSE' literal object.
`TRUE` The 'TRUE' literal object.

Field Summary
`static int` | `FALSE_VALUE` The 'FALSE' literal value.
`static int` | `TRUE_VALUE` The 'TRUE' literal value.
`static java.util.List<BOOLEAN>` | `VALUES` A public read-only list of all the 'BOOLEAN' enumerators.

Method Summary
`static BOOLEAN` | `get(int value)` Returns the 'BOOLEAN' literal with the specified integer value.
`static BOOLEAN` | `get(java.lang.String literal)` Returns the 'BOOLEAN' literal with the specified literal value.
`static BOOLEAN` | `getByName(java.lang.String name)` Returns the 'BOOLEAN' literal with the specified name.
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
`static BOOLEAN` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BOOLEAN[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRUE

    public static final BOOLEAN TRUE

  The 'TRUE' literal object.

  See Also:
    `TRUE_VALUE`

### FALSE

    public static final BOOLEAN FALSE

  The 'FALSE' literal object.

  See Also:
    `FALSE_VALUE`

Field Detail

### TRUE_VALUE

    public static final int TRUE_VALUE

  The 'TRUE' literal value.

  If the meaning of 'TRUE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TRUE`, Constant Field Values

### FALSE_VALUE

    public static final int FALSE_VALUE

  The 'FALSE' literal value.

  If the meaning of 'FALSE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FALSE`, Constant Field Values

### VALUES

    public static final java.util.List<BOOLEAN> VALUES

  A public read-only list of all the 'BOOLEAN' enumerators.

Method Detail

### values

    public static BOOLEAN[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BOOLEAN c : BOOLEAN.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BOOLEAN valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static BOOLEAN get(java.lang.String literal)

  Returns the 'BOOLEAN' literal with the specified literal value.

### getByName

    public static BOOLEAN getByName(java.lang.String name)

  Returns the 'BOOLEAN' literal with the specified name.

### get

    public static BOOLEAN get(int value)

  Returns the 'BOOLEAN' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<BOOLEAN>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD